openSUSE Security Update : ntp (openSUSE-2018-1280)

High Nessus Plugin ID 118450

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for NTP to version 4.2.8p12 fixes the following vulnerabilities (bsc#1111853) :

- CVE-2018-12327: Fixed stack-based buffer overflow in the openhost() command-line call of NTPQ/NTPDC.
(bsc#1098531)

- CVE-2018-7170: Add further tweaks to improve the fix for the ephemeral association time spoofing additional protection (bsc#1083424)

Please also see https://www.nwtime.org/network-time-foundation-publishes-ntp-4-2-8p12/ for more information.

This update was imported from the SUSE:SLE-12-SP1:Update update project.

Solution

Update the affected ntp packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1083424

https://bugzilla.opensuse.org/show_bug.cgi?id=1098531

https://bugzilla.opensuse.org/show_bug.cgi?id=1111853

https://www.nwtime.org/network-time-foundation-publishes-ntp-4-2-8p12/

Plugin Details

Severity: High

ID: 118450

File Name: openSUSE-2018-1280.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/10/26

Modified: 2018/10/26

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:ntp, p-cpe:/a:novell:opensuse:ntp-debuginfo, p-cpe:/a:novell:opensuse:ntp-debugsource, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/10/25

Reference Information

CVE: CVE-2018-12327, CVE-2018-7170